[Overview][Constants][Types][Classes][Index] | Reference for unit 'syncobjs' (#fcl)

# ESyncObjectException

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Exception object used in unit syncobjs

## Declaration

Source position: syncobjs.pp line 31

`type ESyncObjectException = class(Exception)`

## Inheritance

`ESyncObjectException` |  | Exception object used in unit syncobjs
`Exception`
`TObject`

## Description

ESyncObjectException is used in the constructor of TEventObject to indicate failure to create a basic event.

## See also

TEventObject |  | Event propagation object
ELockRecursionException |  | Lock recursion exception
ELockException |  | Locking error exception